Bug 844665 - [engine-core] NPE during RemoveImageCommand (at RemoveImageCommand.prepareSnapshotConfigWithoutImage(RemoveImageCommand.java:168)
[engine-core] NPE during RemoveImageCommand (at RemoveImageCommand.prepareSna...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Liron Aravot
storage
:
: 845963 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 06:19 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 12:01 EST (History)
11 users (show)

See Also:
Fixed In Version: SI13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, rhevm (955.04 KB, application/x-gzip)
2012-07-31 06:52 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-07-31 06:19:51 EDT
Description of problem:

deleted vm with disk attached (thin-provision 30G), and got the following exception on engine.log:


2012-07-30 21:14:58,019 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RemoveVMVDSCommand] (pool-4-thread-49) [e94ca9e] START, RemoveVMVDSCommand(storagePoolId = b09bcdc6-1eb3-4f49-87cd-464a7265faa0, ignoreFailoverLimit = false, compatabilityVersion = n
ull, storageDomainId = 00000000-0000-0000-0000-000000000000, vmGuid = afa2a3e6-465f-4b52-8083-8813316f2226), log id: 7cedef60
2012-07-30 21:14:58,038 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RemoveVMVDSCommand] (pool-4-thread-49) [e94ca9e] FINISH, RemoveVMVDSCommand, log id: 7cedef60
2012-07-30 21:14:58,044 INFO  [org.ovirt.engine.core.bll.RemoveAllVmImagesCommand] (pool-4-thread-49) [68fec7b3] Running command: RemoveAllVmImagesCommand internal: true. Entities affected :  ID: afa2a3e6-465f-4b52-8083-8813316f2226 Type: VM
2012-07-30 21:14:58,071 INFO  [org.ovirt.engine.core.bll.RemoveImageCommand] (pool-4-thread-49) [56a62198] Running command: RemoveImageCommand internal: true. Entities affected :  ID: 00000000-0000-0000-0000-000000000000 Type: Storage
2012-07-30 21:14:58,077 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DeleteImageGroupVDSCommand] (pool-4-thread-49) [56a62198] START, DeleteImageGroupVDSCommand(storagePoolId = b09bcdc6-1eb3-4f49-87cd-464a7265faa0, ignoreFailoverLimit = false, compatabilityVersion = 3.1, storageDomainId = a11b5f22-5ea9-44c5-a5e9-290c85293225, imageGroupId = f1746d50-8194-4a7e-b531-23bae0c1cc23, postZeros = false, forceDelete = false), log id: 7d6fa434
2012-07-30 21:15:00,001 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-12) Checking autorecoverable hosts
2012-07-30 21:15:00,002 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-12) Autorecovering 0 hosts
2012-07-30 21:15:00,002 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-12) Checking autorecoverable hosts done
2012-07-30 21:15:00,002 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-12) Checking autorecoverable storage domains
2012-07-30 21:15:00,004 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-12) Autorecovering 0 storage domains
2012-07-30 21:15:00,004 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-12) Checking autorecoverable storage domains done
2012-07-30 21:15:00,066 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DeleteImageGroupVDSCommand] (pool-4-thread-49) [56a62198] FINISH, DeleteImageGroupVDSCommand, log id: 7d6fa434
2012-07-30 21:15:00,072 INFO  [org.ovirt.engine.core.bll.EntityAsyncTask] (pool-4-thread-49) [56a62198] EntityAsyncTask::Adding EntityMultiAsyncTasks object for entity afa2a3e6-465f-4b52-8083-8813316f2226
2012-07-30 21:15:00,072 INFO  [org.ovirt.engine.core.bll.EntityMultiAsyncTasks] (pool-4-thread-49) [56a62198] EntityMultiAsyncTasks::AttachTask: Attaching task 01217fc0-ad45-45c9-a72f-3220675a0046 to entity afa2a3e6-465f-4b52-8083-8813316f2226.
2012-07-30 21:15:00,073 INFO  [org.ovirt.engine.core.bll.tasks.AsyncTaskUtils] (pool-4-thread-49) [56a62198] Adding task 01217fc0-ad45-45c9-a72f-3220675a0046 to DataBase
2012-07-30 21:15:00,095 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (pool-4-thread-49) [56a62198] Adding task 01217fc0-ad45-45c9-a72f-3220675a0046 (Parent Command RemoveVm, Parameters Type org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters), polling hasn't started yet..
2012-07-30 21:15:00,113 ERROR [org.ovirt.engine.core.bll.RemoveImageCommand] (pool-4-thread-49) [56a62198] Command org.ovirt.engine.core.bll.RemoveImageCommand throw exception: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.RemoveImageCommand.prepareSnapshotConfigWithoutImage(RemoveImageCommand.java:168) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveImageCommand.removeImageFromDB(RemoveImageCommand.java:103) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveImageCommand.executeCommand(RemoveImageCommand.java:82) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteWithoutTransaction(CommandBase.java:811) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:902) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1241) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:168) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:107) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.Execute(CommandBase.java:917) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteAction(CommandBase.java:276) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:335) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:592) [engine-bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_03-icedtea]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_03-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_03-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_03-icedtea]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:36) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:210) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:362) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:193) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:42) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
:

        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:176) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:72) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.ovirt.engine.core.bll.interfaces.BackendInternal$$$view9.runInternalAction(Unknown Source) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveAllVmImagesCommand.ExecuteVmCommand(RemoveAllVmImagesCommand.java:56) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:86) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteWithoutTransaction(CommandBase.java:811) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:902) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1241) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:168) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:107) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.Execute(CommandBase.java:917) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteAction(CommandBase.java:276) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:335) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:592) [engine-bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_03-icedtea]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_03-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_03-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_03-icedtea]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:36) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:210) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:362) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:193) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:42) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:176) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:72) [jboss-as-ee.jar:7.1.2.Final-redhat-1]
        at org.ovirt.engine.core.bll.interfaces.BackendInternal$$$view9.runInternalAction(Unknown Source) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveVmCommand.RemoveVmImages(RemoveVmCommand.java:157) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveVmCommand.removeVm(RemoveVmCommand.java:62) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveVmCommand.ExecuteVmCommand(RemoveVmCommand.java:53) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:86) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteWithoutTransaction(CommandBase.java:811) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:902) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1241) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:168) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:107) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.Execute(CommandBase.java:917) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteAction(CommandBase.java:276) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.executeValidatedCommands(MultipleActionsRunner.java:182) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.RunCommands(MultipleActionsRunner.java:162) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner$1.run(MultipleActionsRunner.java:84) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.threadpool.ThreadPoolUtil$InternalWrapperRunnable.run(ThreadPoolUtil.java:64) [engine-utils.jar:]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_03-icedtea]
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.7.0_03-icedtea]
        at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.7.0_03-icedtea]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.7.0_03-icedtea]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.7.0_03-icedtea]
        at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_03-icedtea]

2012-07-30 21:15:00,251 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (pool-4-thread-49) [56a62198] Command [id=3de57ca4-06db-4b66-9784-f1bf3a8aa0a1]: Compensating CHANGED_STATUS_ONLY of org.ovirt.engine.core.common.businessentities.VmDynamic; snapshot: EntityStatusSnapshot [id=afa2a3e6-465f-4b52-8083-8813316f2226, status=Down].


current system state:

- disk is stuck in locked state (I cannot delete it)
- cannot run vm on the system, get the following log:

2012-07-31 16:40:24,153 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8009-12) Lock Acquired to object EngineLock [exclusiveLocks= key: 8c1838
2d-e504-4fb2-8eb5-ce5b75b83f03 value: VM
, sharedLocks= ]
2012-07-31 16:40:24,166 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/127.0.0.1:8009-12) START, IsValidVDSCommand(storagePoolId = b
09bcdc6-1eb3-4f49-87cd-464a7265faa0, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 629ec17f
2012-07-31 16:40:24,168 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/127.0.0.1:8009-12) FINISH, IsValidVDSCommand, return: true, l
og id: 629ec17f
2012-07-31 16:40:24,221 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8009-12) START, IsVmDuringInitiatingVDSCommand(v
mId = 8c18382d-e504-4fb2-8eb5-ce5b75b83f03), log id: 4b82ed54
2012-07-31 16:40:24,221 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8009-12) FINISH, IsVmDuringInitiatingVDSCommand,
 return: false, log id: 4b82ed54
2012-07-31 16:40:24,279 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (pool-4-thread-49) [684ae5d5] Running command: RunVmCommand internal: false. Entities af
fected :  ID: 8c18382d-e504-4fb2-8eb5-ce5b75b83f03 Type: VM
Comment 1 vvyazmin@redhat.com 2012-07-31 06:52:52 EDT
Created attachment 601504 [details]
## Logs vdsm, rhevm
Comment 2 Haim 2012-07-31 07:12:08 EDT
the problematic task is stuck on data-base:


engine=# SELECT * from async_tasks;
               task_id                | action_type | status | result |                                action_parameters                                |      
                 action_params_class                       |               step_id                |              command_id              
--------------------------------------+-------------+--------+--------+---------------------------------------------------------------------------------+------
-----------------------------------------------------------+--------------------------------------+--------------------------------------
 01217fc0-ad45-45c9-a72f-3220675a0046 |           4 |      2 |      0 | {                                                                               | org.o
virt.engine.core.common.action.RemoveAllVmImagesParameters | 9a8e4afe-0d16-4a16-8f24-c55a306b46c5 | f20e4ce1-5cde-4005-b5a7-39159aea4e34
                                                                      :   "@class" : "org.ovirt.engine.core.common.action.RemoveAllVmImagesParameters",        
                                                                                                    
                                                                      :   "commandId" : [ "org.ovirt.engine.core.compat.Guid", {                               
                                                                                                    
                                                                      :     "uuid" : "99791467-6d2a-4a83-a500-581821455570"                                    
                                                                                                    
                                                                      :   } ],                                                                                 
                                                                                                                                                               
                                                                      :   "httpSessionId" : null,                                                              
                                                                                                    
                                                                      :   "parametersCurrentUser" : null,                                                      
                                                                                                    
                                                                      :   "compensationEnabled" : false,                                                       
                                                                                                    
                                                                      :   "parentCommand" : "RemoveVm",                                                        
                                                                                                    
                                                                      :   "commandType" : "Unknown",                                                           
                                                                                                    
                                                                      :   "multipleAction" : false,                                                            
                                                                                                    
                                                                      :   "entityId" : [ "org.ovirt.engine.core.compat.Guid", {                                
                                                                                                    
                                                                      :     "uuid" : "afa2a3e6-465f-4b52-8083-8813316f2226"                                    
                                                                                                    
                                                                      :   } ],                                                                                 
                                                                                                    
                                                                      :   "imagesParameters" : [ ],                                                            
                                                                                                    
                                                                      :   "taskGroupSuccess" : true,                                                           
                                                                                                    
                                                                      :   "taskStartTime" : 1343672098044,                                                     
                                                                                                    
                                                                      :   "taskIds" : null,                                                                    
                                                                                                    
                                                                      :   "correlationId" : "68fec7b3",                                                        
                                                                                                    
                                                                      :   "quotaId" : null,                                                                    
                                                                                                    
                                                                      :   "Images" : null,                                                                     
                                                                                                    
                                                                      :   "forceDelete" : false,                                                               
                                                                                                    
                                                                      :   "vmId" : [ "org.ovirt.engine.core.compat.Guid", {                                    
                                                                                                    
                                                                      :     "uuid" : "afa2a3e6-465f-4b52-8083-8813316f2226"                                    
                                                                                                    
                                                                      :   } ],                                                                                 
                                                                                                    
                                                                      :   "transactionScopeOption" : "Required",                                               
                                                                                                    
                                                                      :   "sessionId" : "",                                                                    
                                                                                                    
                                                                      :   "shouldBeLogged" : true,                                                             
                                                                                                    
                                                                      :   "executionReason" : "REGULAR_FLOW"                                                   
                                                                                                    
                                                                      : }                                                                                      
                                                                                                    
(1 row)
Comment 3 Liron Aravot 2012-08-01 12:03:45 EDT
need the full steps to reproduce the scenrario please.
Comment 4 vvyazmin@redhat.com 2012-08-02 04:53:15 EDT
1. Create disk thin-provision 30G
2. Create VM, and attached disk from previous step
3. Power on VM
4. Power off VM
5. Delete VM

Get same failed senarion on RHEVM 3.1 - SI12

RHEVM: rhevm-3.1.0-9.el6ev.noarch
VDSM: vdsm-4.9.6-24.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64
Comment 5 Liron Aravot 2012-08-02 08:55:05 EDT
solved by this patch (removal of vm with disk):
http://gerrit.ovirt.org/#/c/5718
Comment 6 Yaniv Kaul 2012-08-06 06:11:57 EDT
*** Bug 845963 has been marked as a duplicate of this bug. ***
Comment 7 Ayal Baron 2012-08-06 16:28:50 EDT
not pushed downstream, moving to post
Comment 9 vvyazmin@redhat.com 2012-08-21 06:19:06 EDT
Verified on RHEVM 3.1 - SI14

RHEVM: rhevm-3.1.0-12.el6ev.noarch
VDSM: vdsm-4.9.6-28.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

Note You need to log in before you can comment on or make changes to this bug.